## org.apache.poi.hdgf.pointers
Class PointerFactory

    java.lang.Object
      org.apache.poi.hdgf.pointers.PointerFactory

    public final class PointerFactory

extends java.lang.Object

Factor class to create the appropriate pointers, based on the version of the file

Constructor Summary
`PointerFactory(int version)`

Method Summary
`Pointer` `createPointer(byte[] data, int offset)`
`int` `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointerFactory

    public PointerFactory(int version)

Method Detail

### getVersion

    public int getVersion()

### createPointer

    public Pointer createPointer(byte[] data,
                                 int offset)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.